Skip to content
Get started

Nept

Get user NEPT unlocks
user.nept.get_unlocks(straddress, NeptGetUnlocksParams**kwargs) -> NeptGetUnlocksResponse
GET/api/v1/users/{address}/nept/unlocks
ModelsExpand Collapse
class UserUnlockAmounts:
amount: str

The full unlock amount

This value is immutable and does not change with regards to expiry/reclamation/lock states.

claimable: str

The amount currently claimable

This takes into account: reclamation, lock state, expiry, and previously claimed. In other words, this is an accurate representation of what the user can currently claim.

claimed: str

The amount that has already been successfully claimed by the user.

expired: str

The amount that was claimable but has now expired due to the presence and subsequent passing of expires_at

extra: Extra
percent: Optional[ExtraPercent]

Percentages for unlock amounts. These do not factor in the amount_staked or amount_held values. Will not be null when query param with_percent is true.

claimable: str
claimed: str
expired: str
extra: ExtraPercentExtra
text: Optional[ExtraPercentExtraText]

Human-readable variants of percentages for unlock amounts. Will not be null when query params with_text and with_percent are true.

claimable: str
claimed: str
expired: str
locked: str
reclaimed: str
locked: str
reclaimed: str
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

amount: str
claimable: str
claimed: str
expired: str
locked: str
reclaimed: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: str
claimable: str
claimed: str
expired: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: str
claimable: str
claimed: str
expired: str
locked: str
price: str

Text representation of price

reclaimed: str
locked: str
price: str

Price used in value calculations

reclaimed: str
locked: str

The total amount of NEPT currently awaiting unlock NOTE: any reclaimed unlocks are excluded from the total, regardless of how much the user had claimed prior to reclamation.

reclaimed: str

The amount that has been reclaimed from the unlock arrangement admin

class UserUnlockOverview:
arrangements: List[Arrangement]

A list of the user's active unlock arrangements

admin: Optional[ArrangementAdmin]

The admin of the unlock, if any

address: str

The address of the unlock arrangement's admin

issued_reclaim: bool

True if the admin his issued a reclaim on the unlock arrangement

Primary unlock amount and other pre-calculated/derived amounts

amount: str

The full unlock amount

This value is immutable and does not change with regards to expiry/reclamation/lock states.

claimable: str

The amount currently claimable

This takes into account: reclamation, lock state, expiry, and previously claimed. In other words, this is an accurate representation of what the user can currently claim.

claimed: str

The amount that has already been successfully claimed by the user.

expired: str

The amount that was claimable but has now expired due to the presence and subsequent passing of expires_at

extra: Extra
percent: Optional[ExtraPercent]

Percentages for unlock amounts. These do not factor in the amount_staked or amount_held values. Will not be null when query param with_percent is true.

claimable: str
claimed: str
expired: str
extra: ExtraPercentExtra
text: Optional[ExtraPercentExtraText]

Human-readable variants of percentages for unlock amounts. Will not be null when query params with_text and with_percent are true.

claimable: str
claimed: str
expired: str
locked: str
reclaimed: str
locked: str
reclaimed: str
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

amount: str
claimable: str
claimed: str
expired: str
locked: str
reclaimed: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: str
claimable: str
claimed: str
expired: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: str
claimable: str
claimed: str
expired: str
locked: str
price: str

Text representation of price

reclaimed: str
locked: str
price: str

Price used in value calculations

reclaimed: str
locked: str

The total amount of NEPT currently awaiting unlock NOTE: any reclaimed unlocks are excluded from the total, regardless of how much the user had claimed prior to reclamation.

reclaimed: str

The amount that has been reclaimed from the unlock arrangement admin

begins_at: datetime

The time at which the unlock begins

formatdate-time
expires_at: Optional[datetime]

The time at which the unlock expires, if any

formatdate-time
extra: ArrangementExtra
text: Optional[ArrangementExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

begins_at: str
expires_at: str
last_claimed_at: str
last_claimed_at: Optional[datetime]

The time at which the unlock was last claimed, if any

formatdate-time

The schedule of the unlock

One of the following:
class UserUnlockScheduleLinear:
duration: int

The duration of the unlock in seconds

formatuint64
minimum0
ends_at: datetime

The time at which the unlock has/was/would've completed. This is identical to begins_at + duration.

This timestamp will remain valid even if the unlock has been reclaimed. Therefore, it should not be used as a validity check.

formatdate-time
extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

duration: str
ends_at: str
kind: Literal["linear"]
class UserUnlockScheduleLumpSum:
kind: Literal["lump_sum"]
extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

last_claimed_at: str
last_claimed_at: Optional[datetime]

The time at which the most recent unlock claim occurred, if any

formatdate-time

Contains pre-calculated total amounts for all unlock agreements

amount: str

The full unlock amount

This value is immutable and does not change with regards to expiry/reclamation/lock states.

claimable: str

The amount currently claimable

This takes into account: reclamation, lock state, expiry, and previously claimed. In other words, this is an accurate representation of what the user can currently claim.

claimed: str

The amount that has already been successfully claimed by the user.

expired: str

The amount that was claimable but has now expired due to the presence and subsequent passing of expires_at

extra: Extra
percent: Optional[ExtraPercent]

Percentages for unlock amounts. These do not factor in the amount_staked or amount_held values. Will not be null when query param with_percent is true.

claimable: str
claimed: str
expired: str
extra: ExtraPercentExtra
text: Optional[ExtraPercentExtraText]

Human-readable variants of percentages for unlock amounts. Will not be null when query params with_text and with_percent are true.

claimable: str
claimed: str
expired: str
locked: str
reclaimed: str
locked: str
reclaimed: str
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

amount: str
claimable: str
claimed: str
expired: str
locked: str
reclaimed: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: str
claimable: str
claimed: str
expired: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: str
claimable: str
claimed: str
expired: str
locked: str
price: str

Text representation of price

reclaimed: str
locked: str
price: str

Price used in value calculations

reclaimed: str
locked: str

The total amount of NEPT currently awaiting unlock NOTE: any reclaimed unlocks are excluded from the total, regardless of how much the user had claimed prior to reclamation.

reclaimed: str

The amount that has been reclaimed from the unlock arrangement admin

One of the following:
class UserUnlockScheduleLinear:
duration: int

The duration of the unlock in seconds

formatuint64
minimum0
ends_at: datetime

The time at which the unlock has/was/would've completed. This is identical to begins_at + duration.

This timestamp will remain valid even if the unlock has been reclaimed. Therefore, it should not be used as a validity check.

formatdate-time
extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

duration: str
ends_at: str
kind: Literal["linear"]
class UserUnlockScheduleLumpSum:
kind: Literal["lump_sum"]
class UserUnlockScheduleLinear:
duration: int

The duration of the unlock in seconds

formatuint64
minimum0
ends_at: datetime

The time at which the unlock has/was/would've completed. This is identical to begins_at + duration.

This timestamp will remain valid even if the unlock has been reclaimed. Therefore, it should not be used as a validity check.

formatdate-time
extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

duration: str
ends_at: str
kind: Literal["linear"]
class UserUnlockScheduleLumpSum:
kind: Literal["lump_sum"]

NeptStaking

Get user staking overview
user.nept.staking.get_overview(straddress, StakingGetOverviewParams**kwargs) -> StakingGetOverviewResponse
GET/api/v1/users/{address}/nept/staking
Get user staking pools
user.nept.staking.get_staking_pools(straddress, StakingGetStakingPoolsParams**kwargs) -> StakingGetStakingPoolsResponse
GET/api/v1/users/{address}/nept/staking/pools
Get user staking pool by duration/index
user.nept.staking.get_staking_pool(straddress, StakingGetStakingPoolParams**kwargs) -> StakingGetStakingPoolResponse
GET/api/v1/users/{address}/nept/staking/pools/lookup
Get user unstaking pool
user.nept.staking.get_unstaking(straddress, StakingGetUnstakingParams**kwargs) -> StakingGetUnstakingResponse
GET/api/v1/users/{address}/nept/staking/unstaking
ModelsExpand Collapse
class UserStake:
asset_info: AssetInfo

Asset identifiers with associated metadata

asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
class Regular:
kind: Literal["regular"]
neptune_receipt_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class NeptuneReceiptToken:
kind: Literal["neptune_receipt_token"]
origin_asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class LiquidStakingToken:
kind: Literal["liquid_staking_token"]
origin_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
metadata: AssetMetadata

Additional metadata for assets

decimals_denom: int

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: int

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: str

Full name of the asset

symbol: str

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: str

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

bonding_sum: str

Total staked of all entries across all listed pools

NOTE: this value is affected by active filters, if any (e.g. filtering over account index)

claimable_rewards: str

NEPT rewarded from staking that is available yet not claimed by the user

claimable_unbonding: str

Sum of all unbond/unstake amounts that have completed their lockup period and are ready to be claimed.

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

bonding_sum: str
claimable_rewards: str
claimable_unbonding: str
unclaimed: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

bonding_sum: str
claimable_rewards: str
claimable_unbonding: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

bonding_sum: str
claimable_rewards: str
claimable_unbonding: str
price: str

Text representation of price

unclaimed: str
price: str

Price used in value calculations

unclaimed: str
pools: List[UserStakePool]

User allocations for each staking pool

amount_sum: str

Total staked of all entries

NOTE: this value is affected by active filters, if any (e.g. filtering over account index)

Staking pool contents along with associated pool state and pool params

duration: int

The lockup duration for this pool in seconds

formatuint64
minimum0
extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

duration: str
index: str
index: int

The ordered index (position) of this pool

formatuint8
minimum0
maximum255

Staking pool contract parameters

flash_loan_weight: str

The pool's weight (multiplier) for flash loans volume

gov_weight: str

The pool's weight (multiplier) on governance for an associated stake

health_weight: str

The pool's weight (multiplier) on account health for an associated stake

reward_weight: str

The pool's weight (multiplier) on rewards for an associated stake

Current contract state of staking pool

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

total_bonded: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: str

Text representation of price

total_bonded: str
price: str

Price used in value calculations

total_bonded: str
total_bonded: str

The total amount staked to this pool

contents: List[UserStakeBondingEntry]

Bonding/stake entries

NOTE: entries that differ only in amount are merged upon creation

account_index: int

User account index

formatuint8
minimum0
maximum255
amount: str

Bonding amount

cascade: bool
extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

amount: str
transition_at: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: str
price: str

Text representation of price

price: str

Price used in value calculations

last_stake_acc: str
transition_at: Optional[datetime]
formatdate-time
extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

amount_sum: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount_sum: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount_sum: str
price: str

Text representation of price

price: str

Price used in value calculations

User unstake/unbonding data

amount_sum: str

Total amount of all unbond entries

NOTE: this value is affected by active filters, if any (e.g. filtering over account index)

contents: List[UserStakeUnbondingEntry]

Unbonding/unstake entries

NOTE: cascade unbondings from pool >= 2 are contained in the bondings list of the lower adjacent pool from which the unbond occurred.

amount: str

Unbonding amount

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

amount: str
unlock_at: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: str
price: str

Text representation of price

price: str

Price used in value calculations

unlock_at: datetime

Timestamp for when the unstake can be redeemed

formatdate-time
extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

amount_sum: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount_sum: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount_sum: str
price: str

Text representation of price

price: str

Price used in value calculations

unclaimed: str
class UserStakeBondingEntry:
account_index: int

User account index

formatuint8
minimum0
maximum255
amount: str

Bonding amount

cascade: bool
extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

amount: str
transition_at: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: str
price: str

Text representation of price

price: str

Price used in value calculations

last_stake_acc: str
transition_at: Optional[datetime]
formatdate-time
class UserStakePool:
amount_sum: str

Total staked of all entries

NOTE: this value is affected by active filters, if any (e.g. filtering over account index)

Staking pool contents along with associated pool state and pool params

duration: int

The lockup duration for this pool in seconds

formatuint64
minimum0
extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

duration: str
index: str
index: int

The ordered index (position) of this pool

formatuint8
minimum0
maximum255

Staking pool contract parameters

flash_loan_weight: str

The pool's weight (multiplier) for flash loans volume

gov_weight: str

The pool's weight (multiplier) on governance for an associated stake

health_weight: str

The pool's weight (multiplier) on account health for an associated stake

reward_weight: str

The pool's weight (multiplier) on rewards for an associated stake

Current contract state of staking pool

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

total_bonded: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: str

Text representation of price

total_bonded: str
price: str

Price used in value calculations

total_bonded: str
total_bonded: str

The total amount staked to this pool

contents: List[UserStakeBondingEntry]

Bonding/stake entries

NOTE: entries that differ only in amount are merged upon creation

account_index: int

User account index

formatuint8
minimum0
maximum255
amount: str

Bonding amount

cascade: bool
extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

amount: str
transition_at: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: str
price: str

Text representation of price

price: str

Price used in value calculations

last_stake_acc: str
transition_at: Optional[datetime]
formatdate-time
extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

amount_sum: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount_sum: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount_sum: str
price: str

Text representation of price

price: str

Price used in value calculations

class UserStakeUnbonding:
amount_sum: str

Total amount of all unbond entries

NOTE: this value is affected by active filters, if any (e.g. filtering over account index)

contents: List[UserStakeUnbondingEntry]

Unbonding/unstake entries

NOTE: cascade unbondings from pool >= 2 are contained in the bondings list of the lower adjacent pool from which the unbond occurred.

amount: str

Unbonding amount

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

amount: str
unlock_at: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: str
price: str

Text representation of price

price: str

Price used in value calculations

unlock_at: datetime

Timestamp for when the unstake can be redeemed

formatdate-time
extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

amount_sum: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount_sum: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount_sum: str
price: str

Text representation of price

price: str

Price used in value calculations

class UserStakeUnbondingEntry:
amount: str

Unbonding amount

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

amount: str
unlock_at: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: str
price: str

Text representation of price

price: str

Price used in value calculations

unlock_at: datetime

Timestamp for when the unstake can be redeemed

formatdate-time